> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Last Round Winners

> Get last round winners

> ⚠️ **Этот эндпоинт deprecated и будет удален в будущем.**


## OpenAPI

````yaml get /rounds/last-winners
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /rounds/last-winners:
    get:
      tags:
        - rounds
      summary: Get Last Round Winners
      description: Get last round winners
      operationId: get_last_round_winners_rounds_last_winners_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RoundLastWinnersResponse'
                type: array
                title: Response Get Last Round Winners Rounds Last Winners Get
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
      deprecated: true
      security:
        - HTTPBearer: []
components:
  schemas:
    RoundLastWinnersResponse:
      properties:
        certificate:
          $ref: '#/components/schemas/RoundLastWinnersCertificateResponse'
        user:
          $ref: '#/components/schemas/RoundLastWinnersUserResponse'
        product:
          $ref: '#/components/schemas/RoundLastWinnersProductResponse'
        formatted_winner:
          type: string
          title: Formatted Winner
          description: Строка формата "Ботинки получает username"
      type: object
      required:
        - certificate
        - user
        - product
        - formatted_winner
      title: RoundLastWinnersResponse
    RoundLastWinnersCertificateResponse:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
        formatted_time:
          type: string
          title: Formatted Time
          description: Строка формата "5 минут назад"
      type: object
      required:
        - created_at
        - formatted_time
      title: RoundLastWinnersCertificateResponse
    RoundLastWinnersUserResponse:
      properties:
        id:
          type: string
          title: Id
        username:
          type: string
          title: Username
        avatar_url:
          type: string
          title: Avatar Url
      type: object
      required:
        - id
        - username
        - avatar_url
      title: RoundLastWinnersUserResponse
    RoundLastWinnersProductResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        main_picture_url:
          type: string
          title: Main Picture Url
      type: object
      required:
        - id
        - name
        - main_picture_url
      title: RoundLastWinnersProductResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````